Batch Scrape
curl --request POST \
--url https://api.example.com/v1/batch/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"scrapeOptions": {
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [],
"headers": {},
"includeTags": [
"<string>"
],
"jsonPrompt": "<string>",
"jsonSchema": {},
"location": {
"country": "us",
"languages": [
"<string>"
]
},
"mobile": false,
"onlyMainContent": true,
"renderJs": true,
"screenshotParams": {
"delivery": "base64",
"format": "jpeg",
"fullPage": false,
"quality": 50
},
"timeout": 30000,
"waitFor": 0
}
}
'import requests
url = "https://api.example.com/v1/batch/scrape"
payload = {
"urls": ["<string>"],
"scrapeOptions": {
"blockAds": True,
"excludeTags": ["<string>"],
"formats": [],
"headers": {},
"includeTags": ["<string>"],
"jsonPrompt": "<string>",
"jsonSchema": {},
"location": {
"country": "us",
"languages": ["<string>"]
},
"mobile": False,
"onlyMainContent": True,
"renderJs": True,
"screenshotParams": {
"delivery": "base64",
"format": "jpeg",
"fullPage": False,
"quality": 50
},
"timeout": 30000,
"waitFor": 0
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['<string>'],
scrapeOptions: {
blockAds: true,
excludeTags: ['<string>'],
formats: [],
headers: {},
includeTags: ['<string>'],
jsonPrompt: '<string>',
jsonSchema: {},
location: {country: 'us', languages: ['<string>']},
mobile: false,
onlyMainContent: true,
renderJs: true,
screenshotParams: {delivery: 'base64', format: 'jpeg', fullPage: false, quality: 50},
timeout: 30000,
waitFor: 0
}
})
};
fetch('https://api.example.com/v1/batch/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/batch/scrape",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'urls' => [
'<string>'
],
'scrapeOptions' => [
'blockAds' => true,
'excludeTags' => [
'<string>'
],
'formats' => [
],
'headers' => [
],
'includeTags' => [
'<string>'
],
'jsonPrompt' => '<string>',
'jsonSchema' => [
],
'location' => [
'country' => 'us',
'languages' => [
'<string>'
]
],
'mobile' => false,
'onlyMainContent' => true,
'renderJs' => true,
'screenshotParams' => [
'delivery' => 'base64',
'format' => 'jpeg',
'fullPage' => false,
'quality' => 50
],
'timeout' => 30000,
'waitFor' => 0
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/batch/scrape"
payload := strings.NewReader("{\n \"urls\": [\n \"<string>\"\n ],\n \"scrapeOptions\": {\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": [],\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/batch/scrape")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"urls\": [\n \"<string>\"\n ],\n \"scrapeOptions\": {\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": [],\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/batch/scrape")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"urls\": [\n \"<string>\"\n ],\n \"scrapeOptions\": {\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": [],\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"completed": 123,
"created_at": "2023-11-07T05:31:56Z",
"credits_used": 123,
"failed": 123,
"id": "<string>",
"kind": "crawl",
"pending": 123,
"reserved_credits": 123,
"status": "queued",
"total": 123,
"updated_at": "2023-11-07T05:31:56Z",
"warning": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}public
Batch Scrape
Batch Scrape
curl --request POST \
--url https://api.example.com/v1/batch/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"scrapeOptions": {
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [],
"headers": {},
"includeTags": [
"<string>"
],
"jsonPrompt": "<string>",
"jsonSchema": {},
"location": {
"country": "us",
"languages": [
"<string>"
]
},
"mobile": false,
"onlyMainContent": true,
"renderJs": true,
"screenshotParams": {
"delivery": "base64",
"format": "jpeg",
"fullPage": false,
"quality": 50
},
"timeout": 30000,
"waitFor": 0
}
}
'import requests
url = "https://api.example.com/v1/batch/scrape"
payload = {
"urls": ["<string>"],
"scrapeOptions": {
"blockAds": True,
"excludeTags": ["<string>"],
"formats": [],
"headers": {},
"includeTags": ["<string>"],
"jsonPrompt": "<string>",
"jsonSchema": {},
"location": {
"country": "us",
"languages": ["<string>"]
},
"mobile": False,
"onlyMainContent": True,
"renderJs": True,
"screenshotParams": {
"delivery": "base64",
"format": "jpeg",
"fullPage": False,
"quality": 50
},
"timeout": 30000,
"waitFor": 0
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['<string>'],
scrapeOptions: {
blockAds: true,
excludeTags: ['<string>'],
formats: [],
headers: {},
includeTags: ['<string>'],
jsonPrompt: '<string>',
jsonSchema: {},
location: {country: 'us', languages: ['<string>']},
mobile: false,
onlyMainContent: true,
renderJs: true,
screenshotParams: {delivery: 'base64', format: 'jpeg', fullPage: false, quality: 50},
timeout: 30000,
waitFor: 0
}
})
};
fetch('https://api.example.com/v1/batch/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/batch/scrape",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'urls' => [
'<string>'
],
'scrapeOptions' => [
'blockAds' => true,
'excludeTags' => [
'<string>'
],
'formats' => [
],
'headers' => [
],
'includeTags' => [
'<string>'
],
'jsonPrompt' => '<string>',
'jsonSchema' => [
],
'location' => [
'country' => 'us',
'languages' => [
'<string>'
]
],
'mobile' => false,
'onlyMainContent' => true,
'renderJs' => true,
'screenshotParams' => [
'delivery' => 'base64',
'format' => 'jpeg',
'fullPage' => false,
'quality' => 50
],
'timeout' => 30000,
'waitFor' => 0
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/batch/scrape"
payload := strings.NewReader("{\n \"urls\": [\n \"<string>\"\n ],\n \"scrapeOptions\": {\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": [],\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/batch/scrape")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"urls\": [\n \"<string>\"\n ],\n \"scrapeOptions\": {\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": [],\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/batch/scrape")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"urls\": [\n \"<string>\"\n ],\n \"scrapeOptions\": {\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": [],\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"completed": 123,
"created_at": "2023-11-07T05:31:56Z",
"credits_used": 123,
"failed": 123,
"id": "<string>",
"kind": "crawl",
"pending": 123,
"reserved_credits": 123,
"status": "queued",
"total": 123,
"updated_at": "2023-11-07T05:31:56Z",
"warning": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}Authorizations
Send an active organization API key in the Authorization: Bearer header.
Headers
Body
application/json